Retires the specified card. All financial functionality (loads, deducts, refunds, etc) will no longer work on the specified card.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| reference | String | 1-255 characters | ✓ | The user defined reference to the card; for example a member id or wallet number |
| cardIdentifier | String | 1-20 characters | ✓ | The card number, sequence number or tracking number of the specified card |
| transactionID | String | 1-255 characters | ✓ | A unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | Date | ✓ | Client generated / local Transaction Date to assist in identifying transactions on the client side | |
| checksum | String | ✓ | HMAC-SHA1 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0" encoding="UTF-8"?>
<methodCall>
<methodName>RetireCard</methodName>
<params>
<param>
<value>
<string>0213111324</string>
</value>
</param>
<param>
<value>
<string>NGUYETTEST1021</string>
</value>
</param>
<param>
<value>
<string>404691400000004</string>
</value>
</param>
<param>
<value>
<string>16552290797908</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20210310T10:41:11</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>E8E3FCCCF26A40563573338D62F23284878B6B2D</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Field | type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result |
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>